Bug 784116 - Inline help disable/enable state not save from /headpin/account
Inline help disable/enable state not save from /headpin/account
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: ---
: 1.0
Assigned To: Tom McKay
SAM QE List
:
Depends On:
Blocks: 703617
  Show dependency treegraph
 
Reported: 2012-01-23 16:08 EST by Eric Sammons
Modified: 2012-04-26 20:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
katello-httpd-ssl-key-pair-1.0-1.noarch candlepin-tomcat6-0.5.8-1.el6.noarch katello-headpin-0.1.122-2.el6.noarch katello-cli-headpin-0.1.13-2.el6.noarch katello-certs-tools-1.0.1-2.el6.noarch katello-headpin-all-0.1.122-2.el6.noarch thumbslug-0.0.21-1.el6.noarch katello-cli-common-0.1.32-2.el6.noarch katello-configure-0.1.49-2.el6.noarch katello-common-0.1.165-2.el6.noarch katello-trusted-ssl-cert-1.0-1.noarch candlepin-0.5.8-1.el6.noarch katello-glue-candlepin-0.1.165-2.el6.noarch katello-qpid-broker-key-pair-1.0-1.noarch
Last Closed: 2012-04-26 20:21:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-01-23 16:08:20 EST
Description of problem:
When trying to disable inline help from the li.help element, the state is not saved; upon revisiting the page Inline Help shows as enabled.

Steps to Reproduce:
1. Login to SAM
2. Navigate to account settings via li.hello (username in upper right corner).
3. Click Inline Help option to unselect the check box (checked by default).
4. Navigate off the page and return.
  
Actual results:
Inline Help is still enabled

Expected results:
Inline Help should be disabled.

Additional info:
Save button is specific, according to code, to the updating of the user password and remains greyed out.
Comment 1 Jordan OMara 2012-01-25 10:13:39 EST
Appears fixed in latest tag (0.1.127)

Note You need to log in before you can comment on or make changes to this bug.